com.amazonaws.auth

## Enum PEMObjectType

- java.lang.Object
- - java.lang.Enum<PEMObjectType>
  - - com.amazonaws.auth.PEMObjectType

All Implemented Interfaces:
  Serializable, Comparable<PEMObjectType>

    public enum PEMObjectType
    extends Enum<PEMObjectType>

The type of a specific PEM object in a PEM file.

A PEM file can contain one or multiple PEM objects, each with a beginning and ending marker.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CERTIFICATE_X509`
`PRIVATE_KEY_PKCS1`
`PRIVATE_KEY_PKCS8`
`PUBLIC_KEY_X509`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PEMObjectType` `fromBeginMarker(String beginMarker)`
`String` `getBeginMarker()`
`static PEMObjectType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PEMObjectType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIVATE_KEY_PKCS1

    public static final PEMObjectType PRIVATE_KEY_PKCS1

#### PRIVATE_KEY_PKCS8

    public static final PEMObjectType PRIVATE_KEY_PKCS8

#### PUBLIC_KEY_X509

    public static final PEMObjectType PUBLIC_KEY_X509

#### CERTIFICATE_X509

    public static final PEMObjectType CERTIFICATE_X509

### Method Detail

#### values

    public static PEMObjectType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PEMObjectType c : PEMObjectType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PEMObjectType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getBeginMarker

    public String getBeginMarker()

#### fromBeginMarker

    public static PEMObjectType fromBeginMarker(String beginMarker)